package com.cuit.solarenergy.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @TableName t_geoserverinfo
 */
@TableName(value ="t_geoserverinfo")
public class Geoserverinfo implements Serializable {
    /**
     * 序列号，通过序列取
     */
    @TableId
    private Long id;

    /**
     * GeoServer服务工作区（访问地址）
     */
    private String geoserverworkspaces;

    /**
     * GeoServer服务图层名
     */
    private String geoserverlayers;

    /**
     * GeoServer服务样式名
     */
    private String geoserverstyles;

    /**
     * 坐标
     */
    private String srs;

    /**
     * 边框
     */
    private String bbox;

    /**
     * 经纬度边框
     */
    private String latlonbbox;

    /**
     * 地址（自动生成）
     */
    private String url;


    /**
     * 数据生成时间（自动生成）
     */
    private Date createdate;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 序列号，通过序列取
     */
    public Long getId() {
        return id;
    }

    /**
     * 序列号，通过序列取
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * GeoServer服务工作区（访问地址）
     */
    public String getGeoserverworkspaces() {
        return geoserverworkspaces;
    }

    /**
     * GeoServer服务工作区（访问地址）
     */
    public void setGeoserverworkspaces(String geoserverworkspaces) {
        this.geoserverworkspaces = geoserverworkspaces;
    }

    /**
     * GeoServer服务图层名
     */
    public String getGeoserverlayers() {
        return geoserverlayers;
    }

    /**
     * GeoServer服务图层名
     */
    public void setGeoserverlayers(String geoserverlayers) {
        this.geoserverlayers = geoserverlayers;
    }

    /**
     * GeoServer服务样式名
     */
    public String getGeoserverstyles() {
        return geoserverstyles;
    }

    /**
     * GeoServer服务样式名
     */
    public void setGeoserverstyles(String geoserverstyles) {
        this.geoserverstyles = geoserverstyles;
    }

    /**
     * 坐标
     */
    public String getSrs() {
        return srs;
    }

    /**
     * 坐标
     */
    public void setSrs(String srs) {
        this.srs = srs;
    }

    /**
     * 边框
     */
    public String getBbox() {
        return bbox;
    }

    /**
     * 边框
     */
    public void setBbox(String bbox) {
        this.bbox = bbox;
    }

    /**
     * 地址（自动生成）
     */
    public String getUrl() {
        return url;
    }

    /**
     * 地址（自动生成）
     */
    public void setUrl(String url) {
        this.url = url;
    }

    /**
     * 数据生成时间（自动生成）
     */
    public Date getCreatedate() {
        return createdate;
    }
    public String getLatlonbbox() {
        return latlonbbox;
    }

    public void setLatlonbbox(String latlonbbox) {
        this.latlonbbox = latlonbbox;
    }
    /**
     * 数据生成时间（自动生成）
     */
    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Geoserverinfo other = (Geoserverinfo) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getGeoserverworkspaces() == null ? other.getGeoserverworkspaces() == null : this.getGeoserverworkspaces().equals(other.getGeoserverworkspaces()))
            && (this.getGeoserverlayers() == null ? other.getGeoserverlayers() == null : this.getGeoserverlayers().equals(other.getGeoserverlayers()))
            && (this.getGeoserverstyles() == null ? other.getGeoserverstyles() == null : this.getGeoserverstyles().equals(other.getGeoserverstyles()))
            && (this.getSrs() == null ? other.getSrs() == null : this.getSrs().equals(other.getSrs()))
            && (this.getBbox() == null ? other.getBbox() == null : this.getBbox().equals(other.getBbox()))
            && (this.getUrl() == null ? other.getUrl() == null : this.getUrl().equals(other.getUrl()))
            && (this.getCreatedate() == null ? other.getCreatedate() == null : this.getCreatedate().equals(other.getCreatedate()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getGeoserverworkspaces() == null) ? 0 : getGeoserverworkspaces().hashCode());
        result = prime * result + ((getGeoserverlayers() == null) ? 0 : getGeoserverlayers().hashCode());
        result = prime * result + ((getGeoserverstyles() == null) ? 0 : getGeoserverstyles().hashCode());
        result = prime * result + ((getSrs() == null) ? 0 : getSrs().hashCode());
        result = prime * result + ((getBbox() == null) ? 0 : getBbox().hashCode());
        result = prime * result + ((getUrl() == null) ? 0 : getUrl().hashCode());
        result = prime * result + ((getCreatedate() == null) ? 0 : getCreatedate().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", geoserverworkspaces=").append(geoserverworkspaces);
        sb.append(", geoserverlayers=").append(geoserverlayers);
        sb.append(", geoserverstyles=").append(geoserverstyles);
        sb.append(", srs=").append(srs);
        sb.append(", bbox=").append(bbox);
        sb.append(", url=").append(url);
        sb.append(", createdate=").append(createdate);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}