package com.cuit.solarenergy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 图例表
 * @TableName legend_table
 */
@TableName(value ="legend_table")
@Data
public class LegendTable implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 图例类型（分段/拉伸）
     */
    private String legendType;

    /**
     * 数据类型
     */
    private String dataType;

    /**
     * 数据代码
     */
    private String dataCode;

    /**
     * 颜色编号(十六进制)
     */
    private String color;

    /**
     * 背景颜色R
     */
    private Integer colorR;

    /**
     * 背景颜色G
     */
    private Integer colorG;

    /**
     * 背景颜色B
     */
    private Integer colorB;

    /**
     * 透明度
     */
    private Double transparency;

    /**
     * 阈值下限
     */
    private Double min;

    /**
     * 阈值上限
     */
    private Double max;

    /**
     * 是否展示阈值下限(0展示，1不展示，默认0)
     */
    private Integer minDisplay;

    /**
     * 是否展示阈值上限(0展示，1不展示，默认0)
     */
    private Integer maxDisplay;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LegendTable other = (LegendTable) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDataType() == null ? other.getDataType() == null : this.getDataType().equals(other.getDataType()))
            && (this.getDataCode() == null ? other.getDataCode() == null : this.getDataCode().equals(other.getDataCode()))
            && (this.getColor() == null ? other.getColor() == null : this.getColor().equals(other.getColor()))
            && (this.getColorR() == null ? other.getColorR() == null : this.getColorR().equals(other.getColorR()))
            && (this.getColorG() == null ? other.getColorG() == null : this.getColorG().equals(other.getColorG()))
            && (this.getColorB() == null ? other.getColorB() == null : this.getColorB().equals(other.getColorB()))
            && (this.getTransparency() == null ? other.getTransparency() == null : this.getTransparency().equals(other.getTransparency()))
            && (this.getMin() == null ? other.getMin() == null : this.getMin().equals(other.getMin()))
            && (this.getMax() == null ? other.getMax() == null : this.getMax().equals(other.getMax()))
            && (this.getMinDisplay() == null ? other.getMinDisplay() == null : this.getMinDisplay().equals(other.getMinDisplay()))
            && (this.getMaxDisplay() == null ? other.getMaxDisplay() == null : this.getMaxDisplay().equals(other.getMaxDisplay()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDataType() == null) ? 0 : getDataType().hashCode());
        result = prime * result + ((getDataCode() == null) ? 0 : getDataCode().hashCode());
        result = prime * result + ((getColor() == null) ? 0 : getColor().hashCode());
        result = prime * result + ((getColorR() == null) ? 0 : getColorR().hashCode());
        result = prime * result + ((getColorG() == null) ? 0 : getColorG().hashCode());
        result = prime * result + ((getColorB() == null) ? 0 : getColorB().hashCode());
        result = prime * result + ((getTransparency() == null) ? 0 : getTransparency().hashCode());
        result = prime * result + ((getMin() == null) ? 0 : getMin().hashCode());
        result = prime * result + ((getMax() == null) ? 0 : getMax().hashCode());
        result = prime * result + ((getMinDisplay() == null) ? 0 : getMinDisplay().hashCode());
        result = prime * result + ((getMaxDisplay() == null) ? 0 : getMaxDisplay().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", dataType=").append(dataType);
        sb.append(", dataCode=").append(dataCode);
        sb.append(", color=").append(color);
        sb.append(", colorR=").append(colorR);
        sb.append(", colorG=").append(colorG);
        sb.append(", colorB=").append(colorB);
        sb.append(", transparency=").append(transparency);
        sb.append(", min=").append(min);
        sb.append(", max=").append(max);
        sb.append(", minDisplay=").append(minDisplay);
        sb.append(", maxDisplay=").append(maxDisplay);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}