package com.cuit.solarenergy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * 模型表
 * @TableName t_model
 */
@TableName(value ="t_model")
@Data
@Builder
public class Model implements Serializable {
    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Object id;

    /**
     * 水质参数
     */
    @TableField(value = "index_name")
    private String indexName;

    /**
     * 卫星反演：0；无人机：1
     */
    @TableField(value = "type_number")
    private Integer typeNumber;

    /**
     * 卫星
     */
    @TableField(value = "satellite")
    private String satellite;

    /**
     * 二次方系数
     */
    @TableField(value = "first_val")
    private Double firstVal;

    /**
     * 一次方系数
     */
    @TableField(value = "second_val")
    private Double secondVal;

    /**
     * 常数
     */
    @TableField(value = "third_val")
    private Double thirdVal;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}