package com.cuit.solarenergy.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 采样点照片、视频等影像
 * @TableName t_sampling_site_image
 */
@TableName(value ="t_sampling_site_image")
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "TSamplingSiteImage对象",description = "采样点照片、视频等影像")
public class TSamplingSiteImage implements Serializable {

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Object id;

    @ApiModelProperty("站点id")
    @TableField(value = "father_id")
    private String fatherId;

    @ApiModelProperty("照片url")
    @TableField(value = "picture_add")
    private String pictureAdd;

    @ApiModelProperty("照片缩略图url")
    @TableField(value = "picture_minus")
    private String pictureMinus;

    @ApiModelProperty("视频url")
    @TableField(value = "video_add")
    private String videoAdd;

    @ApiModelProperty("视频缩略图url")
    @TableField(value = "video_minus")
    private String videoMinus;

    @ApiModelProperty("无人机影像")
    @TableField(value = "uav_add")
    private String uavAdd;

    @ApiModelProperty("无人机缩略图")
    @TableField(value = "uav_minus")
    private String uavMinus;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time")
    private Date createTime;

    @ApiModelProperty("更新时间")
    @TableField(value = "update_time")
    private Date updateTime;

    @TableLogic(value = "0",delval = "1")
    @ApiModelProperty("是否删除（0否，1是）")
    private Integer isDeleted;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}