package com.cuit.solarenergy.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 站点基本信息表
 * @TableName t_site_base_info
 */
@TableName(value ="t_site_base_info")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "TSiteBaseInfo对象",description = "站点基本信息表")
public class TSiteBaseInfo implements Serializable {

    @TableId
    @ApiModelProperty("名称")
    private String stationNo;

    @ApiModelProperty("所属河流的编号")
    private String streamCode;

    @ApiModelProperty("站点经度")
    private Double lon;

    @ApiModelProperty("站点纬度")
    private Double lat;

    @ApiModelProperty("站点高程")
    private Double elevation;

    @ApiModelProperty("相对站点位置（t_dict_data）")
    private String relativeSiteLocation;

    @ApiModelProperty("相对站点距离（t_dict_data）")
    private Double relativeSiteDistance;

    @TableLogic(value = "0",delval = "1")
    @ApiModelProperty("是否删除（0否，1是）")
    private Integer isDeleted;

    @ApiModelProperty("距离施工点距离（米）")
    private Integer distance;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}