package com.cuit.solarenergy.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 河流基本信息表
 * @TableName t_stream_base_info
 */
@TableName(value ="t_stream_base_info")
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "TStreamBaseInfo信息",description = "河流基本信息表")
public class TStreamBaseInfo implements Serializable {

    @ApiModelProperty("河流代码")
    @TableField("stream_code")
    private String streamCode;

    @ApiModelProperty("河流名称")
    @TableField("stream_name")
    private String streamName;

    @TableLogic(value = "0",delval = "1")
    @ApiModelProperty("是否删除（0否，1是）")
    @JsonIgnore
    private Integer isDeleted;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}