package com.cuit.solarenergy.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 用户表
 * @TableName t_user
 */
@TableName(value ="t_user")
@Data
@ApiModel(value = "TUser信息",description = "用户表")
@AllArgsConstructor
@NoArgsConstructor
public class TUser implements Serializable {

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Object id;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "账号")
    private String userAccount;

    @ApiModelProperty(value = "密码")
    private String userPassword;

    @ApiModelProperty(value = "用户等级（0：普通用户 1：管理员；默认为0）")
    private Integer userLevel;

    @ApiModelProperty(value = "是否禁用（0：否 1：是；默认为0）")
    private Integer isForbidden;

    @ApiModelProperty(value = "是否删除（0：否 1：是；默认为0）")
    @TableLogic(value = "0",delval = "1")
    private Integer isDeleted;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}