package com.cuit.solarenergy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 无人机反演数据集
 * @TableName t_uav_inv_data
 */
@TableName(value ="t_uav_inv_data")
@Data
@Builder
public class UavInvData implements Serializable {
    /**
     * ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 日期
     */
    private Date registerTime;

    /**
     * 河流
     */
    @TableField(value = "stream_cod")
    private String streamCode;

    /**
     * 点位
     */
    private String siteId;

    /**
     * 水质参数
     */
    private String indexName;

    /**
     * 最大值
     */
    private Double maxNumber;

    /**
     * 平均值
     */
    private Double avgNumber;

    /**
     * 最小值
     */
    private Double minNumber;

    /**
     * 范围（边界点的坐标）
     */
    private String bbox;

    /**
     * 原始文件名
     */
    private String originalFileName;

    /**
     * minio地址
     */
    private String minioId;

    /**
     * geoserver图层ID
     */
    private Integer geoserverInfoId;

    /**
     * png文件minio地址
     */
    private String pngMinioId;

    /**
     * 是否删除（0：否，1：是）
     */
    private Integer isDeleted;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}