package com.cuit.solarenergy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * 无人机数据发布表
 * @TableName t_uav_send_data
 */
@TableName(value ="t_uav_send_data")
@Data
@Builder
public class UavSendData implements Serializable {
    /**
     * ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 父ID（t_uav_data.id）
     */
    private Integer pid;

    /**
     * 波段
     */
    private String bandname;

    /**
     * geoserver图层ID
     */
    private Long geoserverInfoId;

    /**
     * png文件minio地址
     */
    private String pngMinioId;

    /**
     * 是否删除（0：否，1：是）
     */
    private Integer isDeleted;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}