package com.cuit.solarenergy.entity.sys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 
 * @TableName ts_sys_log
 */
@TableName(value ="ts_sys_log")
@Data
@ApiModel(value = "TsSysLog对象", description = "系统日志表")
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class SysLog implements Serializable {
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Integer id;

    @TableField(value = "visit_time")
    @ApiModelProperty(value = "访问时间")
    private LocalDateTime visitTime;

    @TableField(value = "user_name")
    @ApiModelProperty(value = "访问账户")
    private String userName;

    @TableField(value = "ip")
    @ApiModelProperty(value = "访问ip")
    private String ip;

    @TableField(value = "execution_time")
    @ApiModelProperty(value = "执行时长")
    private String executionTime;

    @TableField(value = "method")
    @ApiModelProperty(value = "执行方法")
    private String method;

    @TableField(value = "module")
    @ApiModelProperty(value = "模块类型  模块字典（t_dic_module）")
    private String module;

    @TableField(value = "opration")
    @ApiModelProperty(value = "操作名称")
    private String opration;

    @TableField(value = "sys_type")
    @ApiModelProperty(value = "系统类型 0-web端  1-小程序")
    private Integer sysType;

    @TableField(value = "op_type")
    @ApiModelProperty(value = "操作类型  0-增 1-删 2-改 3-查 4-审核")
    private Integer opType;

    @TableField(value = "is_valid")
    @ApiModelProperty(value = "有效标识 0-无效 1-有效")
    private Integer isValid;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}