package com.cuit.solarenergy.entity.vo.req;

import com.cuit.solarenergy.base.BasePageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import static com.cuit.solarenergy.utils.DateUtil.DATE_FORMAT;

/**
 * @BelongsProject: railway
 * @BelongsPackage: com.cuit.solarenergy.entity.vo.req
 * @Author: Luolw
 * @Date: 2023/8/4 10:01
 * @Description:
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "数据查询-采样点数据请求参数类")
public class DataQueryGetVoReq extends BasePageQuery {
    @ApiModelProperty(value = "河流流域")
    private String streamName;

    @ApiModelProperty(value = "采集点名")
    private String siteId;

    @ApiModelProperty(value = "开始时间")
    @DateTimeFormat(pattern = DATE_FORMAT)
    private String stTime;

    @ApiModelProperty(value = "结束时间")
    @DateTimeFormat(pattern = DATE_FORMAT)
    private String endTime;

    @ApiModelProperty(value = "关键词")
    private String keywords;
}
