package com.cuit.solarenergy.entity.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Tjb
 * @CreateTime: 2023-07-24  14:41
 * @Description: 保存模型所需参数类
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "保存模型所需参数类")
public class SystemManageModelVoReq {

    @ApiModelProperty("水质参数")
    private String index;

    @ApiModelProperty("卫星")
    private String satellite;

    @ApiModelProperty("卫星反演二次方系数")
    private Double satelliteA;

    @ApiModelProperty("卫星反演一次方系数")
    private Double satelliteB;

    @ApiModelProperty("卫星反演常数")
    private Double satelliteC;

    @ApiModelProperty("无人机反演二次方系数")
    private Double uavA;

    @ApiModelProperty("无人机反演一次方系数")
    private Double uavB;

    @ApiModelProperty("无人机常数")
    private Double uavC;
}
