package com.cuit.solarenergy.entity.vo.ret;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Tjb
 * @CreateTime: 2024-09-03  20:41
 * @Description:
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class LegendRet {

    /**
     * 图例类型（分段/拉伸）
     */
    @ApiModelProperty(value = "图例类型（分段/拉伸）")
    private String legendType;

    /**
     * 颜色编号(十六进制)
     */
    @ApiModelProperty(value = "颜色编号(十六进制)")
    private String color;

    /**
     * 背景颜色R
     */
    @ApiModelProperty(value = "背景颜色R")
    private Integer colorR;

    /**
     * 背景颜色G
     */
    @ApiModelProperty(value = "背景颜色G")
    private Integer colorG;

    /**
     * 背景颜色B
     */
    @ApiModelProperty(value = "背景颜色B")
    private Integer colorB;

    /**
     * 透明度
     */
    @ApiModelProperty(value = "透明度")
    private Double transparency;

    /**
     * 阈值下限
     */
    @ApiModelProperty(value = "阈值下限")
    private Double min;

    /**
     * 阈值上限
     */
    @ApiModelProperty(value = "阈值上限")
    private Double max;

    /**
     * 是否展示阈值下限(0展示，1不展示，默认0)
     */
    @ApiModelProperty(value = "是否展示阈值下限(0展示，1不展示，默认0)")
    private Integer minDisplay;

    /**
     * 是否展示阈值上限(0展示，1不展示，默认0)
     */
    @ApiModelProperty(value = "是否展示阈值上限(0展示，1不展示，默认0)")
    private Integer maxDisplay;

}
