package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cuit.solarenergy.entity.SysUser;
import com.cuit.solarenergy.entity.sys.AppidToKen;
import com.cuit.solarenergy.entity.vo.ret.SysUserVoRet;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* @author PYJ
* @description 针对表【ts_sys_user】的数据库操作Mapper
* @createDate 2023-06-17 12:01:31
* @Entity com.cuit.solarenergy.entity.SysUser
*/
@Mapper
public interface SysUserMapper extends BaseMapper<SysUser> {
    /**
     * 取应用的token
     * @param appid
     * @return
     */
    AppidToKen getAppidToKen(String appid);

    /**
     * 设置用户密码
     *
     * @param account 用户名
     * @param password  密码
     * @return
     */
    int setUserPassword(String account, String password);

    /**
     * 根据登录名查找用户id
     * @param account
     * @return
     */
    Integer queryUserIdByAccount(String account);

    /**
     * 通过登录名取用户信息
     * @param account 登录名
     * @return
     */
    SysUser queryUserByAccount(String account);

    /**
     * 设置错误次数+1
     *
     * @param userid 用户ID
     * @return
     */
    void setLoginError(int userid);

    /**
     * 清空错误次数
     *
     * @param userid 用户ID
     * @return
     */
    void clearLoginError(int userid);

    /**
     * 登录成功
     * @param userid
     * @param loginIP
     */
    void loginSuccess(@Param("userid") int userid, @Param("loginIP") String loginIP);


    Boolean updateDuxueFlag( @Param("duxueIds")String duxueIds);

    int insertBySysUser(@Param("sysUser") SysUser sysUser);

    /**
     * 查询用户管理List
     * @param page
     * @return
     */
    Page<SysUserVoRet> selectUserList(Page page);
}




