package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.solarenergy.entity.TSamplingIndex;
import com.cuit.solarenergy.entity.dto.TimeAndGeoId;
import com.cuit.solarenergy.entity.dto.TimeAndGeoIdAndIndex;
import com.cuit.solarenergy.entity.vo.ret.ChartBaseInfoVoRet;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author PYJ
* @description 针对表【t_sampling_index(采样指标表)】的数据库操作Mapper
* @createDate 2023-06-24 19:06:43
* @Entity com.cuit.solarenergy.entity.TSamplingIndex
*/
@Mapper
public interface TSamplingIndexMapper extends BaseMapper<TSamplingIndex> {

    /**
     *方法功能：获取所有反演数据(水质参数)
     *
     * @param
     * @date 2023/6/24 19:10
     * @author Tjb
     * @return
     */

    List<String> getAllWaterQualityParameters();


    /**
     *
     * 获取无人机原始影像图表数据
     */
    List<TimeAndGeoId> getUAVOriChartList(String streamCode, String bandName, String startTime, String endTime);

    /**
     *
     * 获取卫星遥感原始影像图表数据
     */
    List<TimeAndGeoId> getSATOriChartList(String satellite, String streamCode, String bandName, String startTime, String endTime);

    /**
     *
     * 获取无人机反演数据图表数据
     */
    List<TimeAndGeoIdAndIndex> getUAVInvChartList(String streamCode, @Param("uavIndexList") List<String> uavIndexList, String startTime, String endTime);
    /**
     *
     * 获取卫星遥感反演数据图表数据
     */
    List<TimeAndGeoIdAndIndex> getSATInvChartList(String satellite, String streamCode, @Param("satIndexList") List<String> satIndexList, String startTime, String endTime);

    /**
     *
     * 获取采样点图表数据
     */
    List<ChartBaseInfoVoRet> getSitesChartList(List<String> siteList, @Param("indexList")List<String> indexList, String startTime, String endTime);
}




