package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cuit.solarenergy.entity.TSamplingSiteImage;
import org.apache.ibatis.annotations.Mapper;

/**
* @author PYJ
* @description 针对表【t_sampling_site_image(采样点照片、视频等影像)】的数据库操作Mapper
* @createDate 2023-07-03 11:42:32
* @Entity com.cuit.solarenergy.entity.TSamplingSiteImage
*/
@Mapper
public interface TSamplingSiteImageMapper extends BaseMapper<TSamplingSiteImage> {

    /**
     *方法功能：获取站点的所有图片
     *
     * @param siteId
     * @param page
     * @date 2023/7/3 14:03
     * @author Tjb
     * @return
     */

    Page<String> getSitePictures(Page page,String siteId);

    /**
     *方法功能：获取站点的所有视频
     *
     * @param siteId
     * @param page
     * @date 2023/7/3 14:04
     * @author Tjb
     * @return
     */

    Page<String> getSiteVideos(Page page,String siteId);

    /**
     *方法功能：通过缩略图查询真实图片URL
     *
     * @param simplePicture
     * @date 2023/7/3 15:18
     * @author Tjb
     * @return
     */

    String getRealPictureForOne(String simplePicture);

    /**
     *方法功能：通过缩略图查询真实视频URL
     *
     * @param simpleVideo
     * @date 2023/7/3 15:21
     * @author Tjb
     * @return
     */

    String getRealVideoForOne(String simpleVideo);

    /**
     *方法功能：通过缩略图查询真实视频URL
     *
     * @param simpleUAV
     * @date 2023/7/4 10:44
     * @author Tjb
     * @return
     */

    String getRealUAVForOne(String simpleUAV);
}




