package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cuit.solarenergy.entity.TStreamBaseInfo;
import com.cuit.solarenergy.entity.vo.ret.Stream;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author PYJ
* @description 针对表【t_stream_base_info(河流基本信息表)】的数据库操作Mapper
* @createDate 2023-06-08 11:37:12
* @Entity com.cuit.solarenergy.entity.TStreamBaseInfo
*/
@Mapper
public interface TStreamBaseInfoMapper extends BaseMapper<TStreamBaseInfo> {

    /**
     *方法功能：获取所有流域名称
     *
     * @param
     * @date 2023/6/17 9:57
     * @author Tjb
     * @return
     */
    List<Stream> getAllStreamName();


    /**
     *方法功能：获取某个站点所属流域名称
     *
     * @param siteId
     * @date 2023/7/3 16:10
     * @author Tjb
     * @return
     */

    String getStationForOneSite(String siteId);

    List<String> getAllStreamCode();

    int editStream(String streamCode, String streamName);

    Page<TStreamBaseInfo> getList(Page<TStreamBaseInfo> page, String streamCode, String keywords);
}




