package com.cuit.solarenergy.minio;

import io.minio.MinioClient;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @description minio配置
 * @author Mr.M
 * @date 2022/9/12 19:32
 * @version 1.0
 */
 @Configuration
 @Data
public class MinioConfig {
  @Value("${minio.endpoint}")
  private String endpoint;
  @Value("${minio.visitPoint}")
  private String visitPoint;
  @Value("${minio.accessKey}")
  private String accessKey;
  @Value("${minio.secretKey}")
  private String secretKey;

  @Value("${minio.bucketName}")
  private String bucketName;


  @Bean
  public MinioClient minioClient() {
   MinioClient minioClient =
           MinioClient.builder()
                   .endpoint(endpoint)
                   .credentials(accessKey, secretKey)
                   .build();
   return minioClient;
  }
}