package com.cuit.solarenergy.model.poi.listener;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.support.ExcelTypeEnum;
import com.alibaba.excel.write.metadata.style.WriteCellStyle;
import com.alibaba.excel.write.style.HorizontalCellStyleStrategy;
import com.alibaba.excel.write.style.column.LongestMatchColumnWidthStyleStrategy;
import org.apache.poi.ss.usermodel.HorizontalAlignment;

import javax.servlet.http.HttpServletResponse;
import java.io.OutputStream;
import java.net.URLEncoder;
import java.util.List;

public class ExcelUtil {
    /**
     * 导出
     * @param response
     * @param data
     * @param fileName
     * @param sheetName
     * @param clazz
     * @throws Exception
     */
    public static void writeExcel(HttpServletResponse response, List<? extends Object> data, String fileName, String sheetName, Class clazz) throws Exception {


        //表头样式
        WriteCellStyle headWriteCellStyle = new WriteCellStyle();
        //设置表头居中对齐
        headWriteCellStyle.setHorizontalAlignment(HorizontalAlignment.CENTER);
        //内容样式
        WriteCellStyle contentWriteCellStyle = new WriteCellStyle();
        //设置内容靠左对齐
        contentWriteCellStyle.setHorizontalAlignment(HorizontalAlignment.LEFT);
        HorizontalCellStyleStrategy horizontalCellStyleStrategy = new HorizontalCellStyleStrategy(headWriteCellStyle, contentWriteCellStyle);
        EasyExcel.write(getOutputStream(fileName, response), clazz).excelType(ExcelTypeEnum.XLSX).sheet(sheetName).registerWriteHandler(horizontalCellStyleStrategy).registerWriteHandler(new LongestMatchColumnWidthStyleStrategy()).doWrite(data);
    }
    private static OutputStream getOutputStream(String fileName, HttpServletResponse response) throws Exception {
        fileName = URLEncoder.encode(fileName, "UTF-8");
        response.setContentType("application/vnd.ms-excel");
        response.setCharacterEncoding("utf8");
        response.setHeader("Content-Disposition", "attachment;filename=" + fileName + ".xlsx");
        return response.getOutputStream();
    }

//    /*
//     * Excel转换实体类对象
//     */
//    public static List<Student> excelListConvertList(List<StudentExcel> studentExcelList) throws ParseException {
//        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
//        List<Student> list = new ArrayList<>();
//        for (StudentExcel s : studentExcelList) {
//            Student student = Student.builder()
//                    .name(staffDataExcel.getname())
//                    .age(staffDataExcel.age())
//                    .city(staffDataExcel.getCity())
//                    .sex(staffDataExcel.getsex().equals("男")?1:2)
//                    .birthday(sdf.parse(staffDataExcel.getBirthday()))
//                    .build();
//            list.add(student);
//        }
//        return list ;
//    }
//
//    /*
//     *  导出的List集合 转换 Excel
//     */
//    public static List<StudentExportExcel> listConvertexcelList(List<Student> student) throws ParseException {
//        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
//        List<StudentExcel> list= new ArrayList<>();
//        for (Student s : student) {
//            StudentExcel excel = StudentExcel.builder()
//                    .name(staffDataExcel.getname())
//                    .age(staffDataExcel.age())
//                    .city(staffDataExcel.getCity())
//                    .sex(staffDataExcel.getsex().equals("男")?1:2)
//                    .birthday(sdf.parse(staffDataExcel.getBirthday()))
//                    .build();
//                    .build();
//            list.add(excel);
//        }
//        return list;
//    }

}

