package com.cuit.solarenergy.service;


import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.IOException;
import java.util.List;

@Service
public interface DataImportService {

    /**
     * 导入项目台账（单文件、多sheet）
     *
     * @param
     * @return
     */

    List<String> upLoadProjectLedgerBySingleFile(MultipartFile file) throws IOException;
//    String upLoadProjectLedgerBySingleFile() throws IOException;

    /**
     * 导入项目台账（多文件）
     * @param ledgerFiles
     * @return
     */
    String upLoadProjectLedgerByFiles(File[] ledgerFiles);

    /**
     * 导入Excel坐标点信息
     *
     * @param railwayExcelFile 坐标点Excel文件
     * @return List<String>
     */
    List<String> upLoadRailwayDataByExcel(MultipartFile railwayExcelFile) throws IOException;

    /**
     * 恢复t_sequence表自增序列到初始状态（使其连续）
     *
     * @param type 类型
     */
    void restoreSequence(Integer type);

    void export(HttpServletResponse response);

    /**
     * 导入卫星或无人机Tif文件
     * @param railwayStaUAVTifData 文件
     * @return
     * @throws IOException
     */
    List<String> upLoadRailwayStaUAVTifData(MultipartFile[] railwayStaUAVTifData);

    /**
     * 删除已发布Geoserver的卫星或无人机Tif文件
     * @return
     * @throws IOException
     */
    String deleteGeoserverStaUAVTifData();

}
