package com.cuit.solarenergy.service;

import com.cuit.solarenergy.entity.vo.req.DataManageGetVoReq;
import com.cuit.solarenergy.entity.vo.req.DataManageUpdateVoReq;
import com.cuit.solarenergy.entity.vo.req.DataQueryGetVoReq;
import com.cuit.solarenergy.entity.vo.ret.*;

import java.util.List;

/**
 * @Author: Tjb
 * @CreateTime: 2023-07-06  10:36
 * @Description: 数据管理模块
 * @Version: 1.0
 */
public interface DataManagerService {

    /**
     * @Description: 数据管理查询接口
     * @Param: dataManageGetVoReq, query
     * @return: PageVo
     * @Author: LuoSir
     * @Date: 2023/7/11
     */
    PageVo<DataManageGetVoRet> getList(DataManageGetVoReq req);

    /**
     * @Description: 数据管理模块编辑接口
     * @Param: dataManageUpdateVoReqList
     * @return: Boolean
     * @Author: LuoSir
     * @Date: 2023/7/12
     */

    Boolean updateData(List<DataManageUpdateVoReq> dataManageUpdateVoReqList);

    /**
     * @Description: 数据管理删除接口
     * @Param: ids
     * @return: boolean
     * @Author: LuoSir
     * @Date: 2023/7/12
     */
    Boolean deleteData(String ids);


    /**
     * @Description: 根据流域获取所有站点名
     * @Param:
     * @return: dataSiteByStreamRet
     * @Author: LuoSir
     * @Date: 2023/7/17
     */
    List<DataSiteTree> getSiteByStream();

    /**
     * @Description: 数据查询-采样点查询
     * @Param: DataManageGetVoReq
     * @return: DataManageGetVoRetList
     * @Author: LuoSir
     * @Date: 2023/8/4
     */

    PageVo<StatisticQueryVoRet> getSamplePointData(DataQueryGetVoReq dataQueryGetVoReq);
}
