package com.cuit.solarenergy.service;

import com.cuit.solarenergy.entity.vo.req.MultiRSDetectionReq;
import com.cuit.solarenergy.entity.vo.req.UAVDetectionReq;
import com.cuit.solarenergy.entity.vo.ret.DetectionInvRet;
import com.cuit.solarenergy.entity.vo.ret.DetectionOrgRet;
import com.cuit.solarenergy.entity.vo.ret.PageVo;

/**
 * @Author: Tjb
 * @CreateTime: 2023-07-05  14:57
 * @Description: TODO
 * @Version: 1.0
 */
public interface MonitorService {
    /**
     *
     * 获取无人机监测模块反演数据数据列表
     */
    PageVo<DetectionInvRet> getUAVInvDetectionData(UAVDetectionReq uavDetectionReq);

    /**
     * 获取无人机监测模块原始影像数据列表
     */
    PageVo<DetectionOrgRet> getUAVOrgDetectionData(UAVDetectionReq uavDetectionReq);


    /**
     *
     * 获取多源遥感监测模块反演数据数据列表
     */
    PageVo<DetectionInvRet> getMultiRSInvDetectionData(MultiRSDetectionReq uavDetectionReq);

    /**
     * 获取多源遥感监测模块原始影像数据列表
     */
    PageVo<DetectionOrgRet> getMultiRSOrgDetectionData(MultiRSDetectionReq uavDetectionReq);
}
