package com.cuit.solarenergy.service.impl;

import com.cuit.solarenergy.mapper.SysOtherMapper;
import com.cuit.solarenergy.service.SequenceService;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 序列实现
 * SequenceService sequenceService(){
 *  return new sequenceService("序列名");
 *  }
 * @author cuitg -- ZengwuWang
 * @date 2023年04月15日 0:26
 */
@Service
@Qualifier("SequenceService")
public class SequenceServiceImpl implements SequenceService {
    @Resource
    SysOtherMapper sysOtherMapper;

    private String comTypeName= "CommonID";

    @Override
    public void setTypeName(String comTypeName) {
        this.comTypeName = comTypeName;
    }

    @Override
    public Long getCurrval() {
        Long val = sysOtherMapper.getCurrval(comTypeName);
        return val;
    }

    @Override
    public Long getNextval() {
        Long val = sysOtherMapper.getNextval(comTypeName);
        return val;
    }

    @Override
    public Long getPreval() {
        Long val = sysOtherMapper.getPreval(comTypeName);
        return val;
    }
}
