package com.cuit.solarenergy.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author: Tjb
 * @CreateTime: 2023-06-19  14:57
 * @Description: TODO
 * @Version: 1.0
 */
@ApiModel("站点某一水质参数详情类")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SitesInfoForOne implements Serializable {
    @ApiModelProperty("标本编号")
    private String siteId;

    @ApiModelProperty("指标值（-1：未检出）")
    private Double indexValue;


    @ApiModelProperty("指标情况（0：正常，1：超标，2：严重超标）")
    private Integer indexLevel;

    @ApiModelProperty("经度")
    private BigDecimal lon;

    @ApiModelProperty("纬度")
    private BigDecimal lat;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
