package com.cuit.solarenergy.vo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

import static com.cuit.solarenergy.utils.DateUtil.DATE_FORMAT;

/**
 * @Author: Tjb
 * @CreateTime: 2023-06-19  16:17
 * @Description: TODO
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(value = "SiteInfoParams", description = "采样点详情参数类")
public class SiteInfoParams implements Serializable {

    @ApiModelProperty(value = "流域名称", name = "streamName", required = true)
    private String streamName;

    @ApiModelProperty(value = "起始时间", name = "startTime", required = true)
    @DateTimeFormat(pattern = DATE_FORMAT)
    private String startTime;

    @ApiModelProperty(value = "结束时间", name = "endTime", required = true)
    @DateTimeFormat(pattern = DATE_FORMAT)
    private String endTime;

    @ApiModelProperty(value = "水质参数", name = "indexName", required = true)
    private String indexName;

}
